### Method

# GtkSource SearchSettings set_regex_enabled

#### Declaration [src]

    void
    gtk_source_search_settings_set_regex_enabled (
      GtkSourceSearchSettings* settings,
      gboolean regex_enabled
    )

#### Description [src]

Enables or disables whether to search by regular expressions.

If enabled, the `GtkSourceSearchSettings:search-text` property contains the pattern of the regular expression.

`GtkSourceSearchContext` uses `GRegex` when regex search is enabled. See the Regular expression syntax page in the GLib reference manual.

Sets property | `GtkSource.SearchSettings:regex-enabled`

#### Parameters

`regex_enabled`

  Type: `gboolean`

  The setting.